thatoneguy245 thatoneguy245 - 1 month ago 64
Python Question

Install pyHook 3.5

I started coding with python about a month or so ago, and I've only just recently started using other modules within my code. I want to use pyHook for one of my projects. However, I've had no luck at finding a version of pyHook for python 3.5. There seems to be many people directing others to the following site:
http://www.lfd.uci.edu/~gohlke/pythonlibs/#pyhook

I have tried the files listed on the site, and they don't seem to be compatible with Python 3.5. Whenever I try to install the file using pip, I get the following error:


Could not find a version that satisfies the requirement pyHook (from versions: )
No matching distributions found for pyHook


I've seen videos of people installing pyHook from this site, and there are more versions no longer listed that are available for python 3.x. Why were they taken down, if anyone knows? I've tried downloading it from other sites, and they all seem to carry the same versions listed on this sight. How can I get the version I need? Or am I just installing it wrong and/or being stupid? If more info is needed, feel free to ask. Thanks in advance!

Answer

I know this question was asked quite a long time ago, and I have moved on since, but for any who may be experiencing this problem, it can be easily solved by going to the following link and installing the version of pyhook that will run for python 3.5. For 64-bit OS's, get pyHook-1.5.1-cp35-none-win_amd64.whl, and for 32 bit OS's get pyHook-1.5.1-cp35-none-win32.whl. Happy programming, all!

http://www.lfd.uci.edu/~gohlke/pythonlibs/#pyhook

Comments